## com.bbn.openmap.tools.icon
Class OpenMapAppPartCollection.OpenMapAppPart

    java.lang.Object
      com.bbn.openmap.tools.icon.IconPartCollectionEntry
          com.bbn.openmap.tools.icon.OpenMapAppPartCollection.OpenMapAppPart

Direct Known Subclasses:
  OpenMapAppPartCollection.OpenMapAppPart.Circle, OpenMapAppPartCollection.OpenMapAppPart.Poly

Enclosing class:
  OpenMapAppPartCollection

public static class OpenMapAppPartCollection.OpenMapAppPart
extends IconPartCollectionEntry

Nested Class Summary
`static class` `OpenMapAppPartCollection.OpenMapAppPart.Circle`
`static class` `OpenMapAppPartCollection.OpenMapAppPart.Poly`

Field Summary

Fields inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`description, name, part`

Constructor Summary
`OpenMapAppPartCollection.OpenMapAppPart(java.lang.String n, java.lang.String d, java.awt.Shape shape)`
`OpenMapAppPartCollection.OpenMapAppPart(java.lang.String n, java.lang.String d, java.awt.Shape shape, java.awt.geom.AffineTransform affTrans)`

Methods inherited from class com.bbn.openmap.tools.icon.IconPartCollectionEntry
`getDescription, getIconPart, getName, setDescription, setIconPart, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenMapAppPartCollection.OpenMapAppPart

    public OpenMapAppPartCollection.OpenMapAppPart(java.lang.String n,
                                                   java.lang.String d,
                                                   java.awt.Shape shape)

### OpenMapAppPartCollection.OpenMapAppPart

    public OpenMapAppPartCollection.OpenMapAppPart(java.lang.String n,
                                                   java.lang.String d,
                                                   java.awt.Shape shape,
                                                   java.awt.geom.AffineTransform affTrans)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details